orm

## Class EstudianteDAO

- java.lang.Object
- - orm.EstudianteDAO

    public class EstudianteDAO
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`EstudianteDAO()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Estudiante` `createEstudiante()`
`static boolean` `delete(Estudiante estudiante)`
`static boolean` `deleteAndDissociate(Estudiante estudiante)`
`static boolean` `deleteAndDissociate(Estudiante estudiante, org.orm.PersistentSession session)`
`static boolean` `evict(Estudiante estudiante)`
`static Estudiante` `getEstudianteByORMID(int id_pk)`
`static Estudiante` `getEstudianteByORMID(int id_pk, org.hibernate.LockMode lockMode)`
`static Estudiante` `getEstudianteByORMID(org.orm.PersistentSession session, int id_pk)`
`static Estudiante` `getEstudianteByORMID(org.orm.PersistentSession session, int id_pk, org.hibernate.LockMode lockMode)`
`static java.util.Iterator` `iterateEstudianteByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static java.util.Iterator` `iterateEstudianteByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.Iterator` `iterateEstudianteByQuery(java.lang.String condition, java.lang.String orderBy)`
`static java.util.Iterator` `iterateEstudianteByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Estudiante[]` `listEstudianteByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static Estudiante[]` `listEstudianteByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Estudiante[]` `listEstudianteByQuery(java.lang.String condition, java.lang.String orderBy)`
`static Estudiante[]` `listEstudianteByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Estudiante` `loadEstudianteByORMID(int id_pk)`
`static Estudiante` `loadEstudianteByORMID(int id_pk, org.hibernate.LockMode lockMode)`
`static Estudiante` `loadEstudianteByORMID(org.orm.PersistentSession session, int id_pk)`
`static Estudiante` `loadEstudianteByORMID(org.orm.PersistentSession session, int id_pk, org.hibernate.LockMode lockMode)`
`static Estudiante` `loadEstudianteByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static Estudiante` `loadEstudianteByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Estudiante` `loadEstudianteByQuery(java.lang.String condition, java.lang.String orderBy)`
`static Estudiante` `loadEstudianteByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.List` `queryEstudiante(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static java.util.List` `queryEstudiante(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.List` `queryEstudiante(java.lang.String condition, java.lang.String orderBy)`
`static java.util.List` `queryEstudiante(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static boolean` `refresh(Estudiante estudiante)`
`static boolean` `save(Estudiante estudiante)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EstudianteDAO

    public EstudianteDAO()

### Method Detail

#### loadEstudianteByORMID

    public static Estudiante loadEstudianteByORMID(int id_pk)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getEstudianteByORMID

    public static Estudiante getEstudianteByORMID(int id_pk)
                                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadEstudianteByORMID

    public static Estudiante loadEstudianteByORMID(int id_pk,
                                                   org.hibernate.LockMode lockMode)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getEstudianteByORMID

    public static Estudiante getEstudianteByORMID(int id_pk,
                                                  org.hibernate.LockMode lockMode)
                                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadEstudianteByORMID

    public static Estudiante loadEstudianteByORMID(org.orm.PersistentSession session,
                                                   int id_pk)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getEstudianteByORMID

    public static Estudiante getEstudianteByORMID(org.orm.PersistentSession session,
                                                  int id_pk)
                                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadEstudianteByORMID

    public static Estudiante loadEstudianteByORMID(org.orm.PersistentSession session,
                                                   int id_pk,
                                                   org.hibernate.LockMode lockMode)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getEstudianteByORMID

    public static Estudiante getEstudianteByORMID(org.orm.PersistentSession session,
                                                  int id_pk,
                                                  org.hibernate.LockMode lockMode)
                                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryEstudiante

    public static java.util.List queryEstudiante(java.lang.String condition,
                                                 java.lang.String orderBy)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryEstudiante

    public static java.util.List queryEstudiante(java.lang.String condition,
                                                 java.lang.String orderBy,
                                                 org.hibernate.LockMode lockMode)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listEstudianteByQuery

    public static Estudiante[] listEstudianteByQuery(java.lang.String condition,
                                                     java.lang.String orderBy)
                                              throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listEstudianteByQuery

    public static Estudiante[] listEstudianteByQuery(java.lang.String condition,
                                                     java.lang.String orderBy,
                                                     org.hibernate.LockMode lockMode)
                                              throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryEstudiante

    public static java.util.List queryEstudiante(org.orm.PersistentSession session,
                                                 java.lang.String condition,
                                                 java.lang.String orderBy)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryEstudiante

    public static java.util.List queryEstudiante(org.orm.PersistentSession session,
                                                 java.lang.String condition,
                                                 java.lang.String orderBy,
                                                 org.hibernate.LockMode lockMode)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listEstudianteByQuery

    public static Estudiante[] listEstudianteByQuery(org.orm.PersistentSession session,
                                                     java.lang.String condition,
                                                     java.lang.String orderBy)
                                              throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listEstudianteByQuery

    public static Estudiante[] listEstudianteByQuery(org.orm.PersistentSession session,
                                                     java.lang.String condition,
                                                     java.lang.String orderBy,
                                                     org.hibernate.LockMode lockMode)
                                              throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadEstudianteByQuery

    public static Estudiante loadEstudianteByQuery(java.lang.String condition,
                                                   java.lang.String orderBy)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadEstudianteByQuery

    public static Estudiante loadEstudianteByQuery(java.lang.String condition,
                                                   java.lang.String orderBy,
                                                   org.hibernate.LockMode lockMode)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadEstudianteByQuery

    public static Estudiante loadEstudianteByQuery(org.orm.PersistentSession session,
                                                   java.lang.String condition,
                                                   java.lang.String orderBy)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadEstudianteByQuery

    public static Estudiante loadEstudianteByQuery(org.orm.PersistentSession session,
                                                   java.lang.String condition,
                                                   java.lang.String orderBy,
                                                   org.hibernate.LockMode lockMode)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateEstudianteByQuery

    public static java.util.Iterator iterateEstudianteByQuery(java.lang.String condition,
                                                              java.lang.String orderBy)
                                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateEstudianteByQuery

    public static java.util.Iterator iterateEstudianteByQuery(java.lang.String condition,
                                                              java.lang.String orderBy,
                                                              org.hibernate.LockMode lockMode)
                                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateEstudianteByQuery

    public static java.util.Iterator iterateEstudianteByQuery(org.orm.PersistentSession session,
                                                              java.lang.String condition,
                                                              java.lang.String orderBy)
                                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateEstudianteByQuery

    public static java.util.Iterator iterateEstudianteByQuery(org.orm.PersistentSession session,
                                                              java.lang.String condition,
                                                              java.lang.String orderBy,
                                                              org.hibernate.LockMode lockMode)
                                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### createEstudiante

    public static Estudiante createEstudiante()

#### save

    public static boolean save(Estudiante estudiante)
                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### delete

    public static boolean delete(Estudiante estudiante)
                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### deleteAndDissociate

    public static boolean deleteAndDissociate(Estudiante estudiante)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### deleteAndDissociate

    public static boolean deleteAndDissociate(Estudiante estudiante,
                                              org.orm.PersistentSession session)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### refresh

    public static boolean refresh(Estudiante estudiante)
                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### evict

    public static boolean evict(Estudiante estudiante)
                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`